package com.gci.boot.modules.vehicles.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gci.boot.modules.dataview.vo.ProjectContractVo;
import com.gci.boot.modules.dataview.vo.RepairPayMonthVo;
import com.gci.boot.modules.vehicles.entity.TbRepairOffer;

public interface TbRepairOfferMapper extends BaseMapper<TbRepairOffer> {

	//保险
	List<ProjectContractVo> getInsuranceTotalPrice();
	
	//年检
	List<ProjectContractVo> getInspectionTotalPrice();
	
	//维修
	List<ProjectContractVo> getRepairTotalPrice();
	
	//保养
	List<ProjectContractVo> getUpkeepTotalPrice();
	
	List<RepairPayMonthVo> getRepairPayMonth(String month);
	
	List<RepairPayMonthVo> getRepairPayQuarter(String month,String monthEnd);
	
	List<RepairPayMonthVo> getRepairPayYear(String year);
}
